forestry_bees.bee_drops = {}

local function register_drop(bee_type, drop_name, basechance)
  if forestry_bees.bee_drops[bee_type] == nil then
		forestry_bees.bee_drops[bee_type] = {}
	end
  forestry_bees.bee_drops[bee_type][drop_name] = basechance
end

--mundane branch
register_drop("forest", "forestry_bees:honey_comb", 0.3)
register_drop("meadows", "forestry_bees:honey_comb", 0.3)
register_drop("modest", "forestry_bees:parched_comb", 0.3)
register_drop("tropical", "forestry_bees:silky_comb", 0.3)
register_drop("wintry", "forestry_bees:frozen_comb", 0.3)
register_drop("marshy", "forestry_bees:mossy_comb", 0.3)
--common branch
register_drop("common", "forestry_bees:honey_comb", 0.35)
register_drop("cultivated", "forestry_bees:honey_comb", 0.4)
--noble branch
register_drop("noble", "forestry_bees:dripping_comb", 0.2)
register_drop("majestic", "forestry_bees:dripping_comb", 0.2)
register_drop("imperial", "forestry_bees:dripping_comb", 0.2)
register_drop("imperial", "forestry_bees:royal_jelly", 0.2)
--industrious branch
register_drop("diligent", "forestry_bees:stringy_comb", 0.2)
register_drop("unweary", "forestry_bees:stringy_comb", 0.2)
register_drop("industrious", "forestry_bees:stringy_comb", 0.2)
register_drop("industrious", "forestry_bees:pollen_cluster", 0.2)
---heroic branch
---infernal branch
--- austere branch
---end branch
---tropical branch
---frozen branch
---festive branch
--agrarian branch
register_drop("rural", "forestry_bees:wheaten_comb", 0.3)